{ config, lib, pkgs, outputs, ... }:
{
  imports = [
    ./bash.nix
    ./git.nix
    ./tmux
    ./vim
    ./zsh
  ];

  home = {
    username = lib.mkDefault "root";
    homeDirectory = lib.mkDefault "/home/${config.home.username}";
    stateVersion = lib.mkDefault "23.11";
  };

  #home.packages = builtins.attrValues {
  #  inherit (pkgs)
  #    wget
  #    zip;
  #};

  nix = {
    package = lib.mkDefault pkgs.nix;
    settings = {
      experimental-features = [ "nix-command" "flakes" ];
      warn-dirty = false;
    };
  };

  programs.home-manager.enable = true;
}
